module Admin::PersonalLabsHelper

	def get_paper_list
		user = current_user.nil? ? OrbitHelper.current_user : current_user
	  user_profile = user.member_profile
	  labs = Lab.where(:member_profile_id => user_profile.id)
	  labs = labs.collect do |l|
	      files = l.lab_files.collect do |lf|
	          {
	              "title" => lf.title,
	              "description" => lf.description,
	              "link" => lf.file.url,
	              "extension" => (lf.file.url.split(".").last rescue "")
	          }
	      end
	      {
	          "id" => l.id.to_s,
	          "edit_url" => "/#{I18n.locale.to_s}/admin/members/#{user_profile.to_param}/labs/#{l.to_param}/edit",
	          "delete_url" => "/#{I18n.locale.to_s}/admin/labs/#{l.id.to_s}",
	          "paper_title" => l.lab_title,
	          "keywords" => l.keywords,
	          "files" => files
	      }
	  end
	  labs
	end

	def import_this_lab(row, mp)
		value = nil
	  	lab = Lab.new
	  	row.cells.each_with_index do |cell,index|
	  		next if index < 2
	  		next if cell.nil?
	  		val = cell.value
	  		next if val.nil? || val == ""
	  		case index
	  		when 2
	  			value = {"en" => val}
	  		when 3
	  			begin
	  				value["zh_tw"] = val 
	  			rescue 
	  				value = {"zh_tw" => val}
	  			end
	  			lab.lab_title_translations = value
	  		when 4
	  			value = {"en" => val}
	  		when 5
	  			begin
	  				value["zh_tw"] = val 
	  			rescue 
	  				value = {"zh_tw" => val}
	  			end
	  			lab.location_translations = value
	  		when 6
	  			value = {"en" => val}
	  		when 7
	  			begin
	  				value["zh_tw"] = val 
	  			rescue 
	  				value = {"zh_tw" => val}
	  			end
	  			lab.participating_professor_translations = value
	  		when 8
	  			value = {"en" => val}
	  		when 9
	  			begin
	  				value["zh_tw"] = val 
	  			rescue 
	  				value = {"zh_tw" => val}
	  			end
	  			lab.participating_student_translations = value
	  		when 10
	  			lab.year = val
	  		when 11
	  			lab.extension_no = val
	  		when 12
	  			lab.research_direction = val
	  		when 13
	  			lab.facility = val
	  		when 14
	  			lab.url = val
	  		when 15
	  			lab.keywords = val
	  		when 16
	  			lab.note = val
	  		end
  		end
  		lab.member_profile = mp
  		lab.save
	end

end